Get Disk space
curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/analytics/diskspace \
--header 'Authorization: Bearer <token>'{
"analytics": {
"analytics_response": {
"key": "diskSpaceUsage",
"data": [
{
"name": "diskSpaceUsage",
"total": 1000,
"dataset": [
{
"key": "2025-10-28T00:00:00.000Z",
"value": "1000"
}
]
}
]
}
}
}Analytics
Get Disk space
GET
/
sites
/
environments
/
{env_id}
/
analytics
/
diskspace
Get Disk space
curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/analytics/diskspace \
--header 'Authorization: Bearer <token>'{
"analytics": {
"analytics_response": {
"key": "diskSpaceUsage",
"data": [
{
"name": "diskSpaceUsage",
"total": 1000,
"dataset": [
{
"key": "2025-10-28T00:00:00.000Z",
"value": "1000"
}
]
}
]
}
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Query Parameters
Available options:
7_days, 30_days, 60_days Example:
"30_days"
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Pattern:
^-?(0[0-9]|1[0-4]):00$Example:
"02:00"
Example:
"2025-10-20T00:00:00.000Z"
Example:
"2025-10-30T00:00:00.000Z"
Response
Getting Disk space analytics
Show child attributes
Show child attributes
⌘I